Subject: [Ianaplan] impressions on ICANN54 and ongoing accountability work

From: Jari Arkko <[email-masked]>
Date: Wed, 21 Oct 2015 07:25:23 +0100

This isn’t so much for the consumption of this working group,
but for information, Andrew and I have written a short article about
our impressions around ICANN54 discussions on the accountability
changes for ICANN.

http://www.ietf.org/blog/2015/10/strange-but-familiar-in-dublin/

Jari